<?php

require_once XOOPS_MODULE_PATH . "/cuestion/class/AbstractEditAction.class.php";
require_once XOOPS_MODULE_PATH . "/cuestion/admin/forms/KeyqlinkAdminEditForm.class.php";

class Cuestion_KeyqlinkEditAction extends Cuestion_AbstractEditAction
{
	function _getId()
	{
		return isset($_REQUEST['keyqlink_id']) ? $_REQUEST['keyqlink_id'] : 0;
	}

	function &_getHandler()
	{
		$handler =& xoops_getmodulehandler('keyqlink');
		return $handler;
	}

	function _setupActionForm()
	{
		$this->mActionForm =& new Cuestion_KeyqlinkAdminEditForm();
		$this->mActionForm->prepare();
	}

	function executeViewInput(&$controller, &$xoopsUser, &$render)
	{
		$render->setTemplateName("keyqlink_edit.html");
		$render->setAttribute('actionForm', $this->mActionForm);
		$this->mObject->loadQuestion();
		$this->mObject->loadKeyword();
		$render->setAttribute('object', $this->mObject);
		
		$questionHandler =& xoops_getmodulehandler('question');
		$questionArr =& $questionHandler->getObjects();
		foreach (array_keys($questionArr) as $key) {
			$questionArr[$key]->loadAnswer();
			$questionArr[$key]->loadKeyqlink();
			$questionArr[$key]->loadCategory();
		}
		$render->setAttribute('questionArr', $questionArr);
		
		$keywordHandler =& xoops_getmodulehandler('keyword');
		$keywordArr =& $keywordHandler->getObjects();
		foreach (array_keys($keywordArr) as $key) {
			$keywordArr[$key]->loadKeyqlink();
		}
		$render->setAttribute('keywordArr', $keywordArr);
	}

	function executeViewSuccess(&$controller, &$xoopsUser, &$render)
	{
		$controller->executeForward("./index.php?action=KeyqlinkList");
	}

	function executeViewError(&$controller, &$xoopsUser, &$render)
	{
		redirect_header("./index.php?action=KeyqlinkList", 1, _AD_CUESTION_ERROR_DBUPDATE_FAILED);
	}
}

?>
