<?php

require_once XOOPS_ROOT_PATH . "/class/XCube_ActionForm.class.php";
require_once XOOPS_MODULE_PATH . "/base/class/Legacy_Validator.class.php";

class Cuestion_RatingPostForm extends XCube_ActionForm
{
	function getTokenName()
	{
		return "module.cuestion.RatingPostForm.TOKEN";
	}

	function prepare()
	{
		//
		// Set form properties
		//
		$this->mFormProperties['question_id'] =& new XCube_IntProperty('question_id');
		$this->mFormProperties['rating_message_id'] =& new XCube_IntProperty('rating_message_id');
	
		//
		// Set field properties
		//
	
		$this->mFieldProperties['question_id'] =& new XCube_FieldProperty($this);
		$this->mFieldProperties['question_id']->setDependsByArray(array('required','objectExist'));
		$this->mFieldProperties['question_id']->addMessage('required', _MD_CUESTION_ERROR_REQUIRED, _MD_CUESTION_LANG_RATING_MESSAGE_ID);
		$this->mFieldProperties['question_id']->addVar('handler', 'question');
	
		$this->mFieldProperties['rating_message_id'] =& new XCube_FieldProperty($this);
		$this->mFieldProperties['rating_message_id']->setDependsByArray(array('required','objectExist'));
		$this->mFieldProperties['rating_message_id']->addMessage('required', _MD_CUESTION_ERROR_REQUIRED, _MD_CUESTION_LANG_POINT);
		$this->mFieldProperties['rating_message_id']->addVar('handler', 'rating_message');
	}

	function update(&$obj)
	{
		$obj->set('question_id', $this->get('question_id'));
		$obj->set('rating_message_id', $this->get('rating_message_id'));
	}
}

?>
